{% extends "@Paa/Default/pageEntityFormGrille.html.twig" %}

{% block datatable_title %}
    
    <th id="iidIntervenantsContrats" style="display: none">Id</th>
    <th id="ccontrat">Contrat</th>
    <th id="ddebut">Début</th>
    <th id="dfin">Fin</th> 
    <th id="bnb_h_sem">H/sem</th> 
    <th id="bnb_h_mois">H/mois</th>
    <th id="bnb_h_annee">H/ans</th>
    <th id="iintervenant">Intervenant</th>
    <th id="ietablissement">Etablissement</th>
   
{% endblock %}

{% block datatable_body %}
    {% set iRow = 0 %}
    {% for row in poListeEntités %}
        <tr>
            <td id ="row_{{ iRow|raw }}_iidIntervenantsContrats" style="display: none" name="{{ row.iidIntervenantsContrats }}"> {{ row.iidIntervenantsContrats }} </td>
            <td id ="row_{{ iRow|raw }}_ccontrat"> {{ row.ccontrat}} </td>
            <td id ="row_{{ iRow|raw }}_ddebut"> {{ row.ddebut|date('d/m/Y')}} </td> 
            <td id ="row_{{ iRow|raw }}_dfin"> {{ row.dfin|date('d/m/Y')}} </td> 
            <td id ="row_{{ iRow|raw }}_bnb_h_sem"> {{ row.bnbhsem}} </td> 
            <td id ="row_{{ iRow|raw }}_bnb_h_mois"> {{ row.bnbhmois }} </td> 
            <td id ="row_{{ iRow|raw }}_bnb_h_annee"> {{ row.bnbhannee }} </td>
            <td id ="row_{{ iRow|raw }}_iintervenant"> {{ row.iintervenant.cnom }} </td>
            <td id ="row_{{ iRow|raw }}_ietablissement"> {{ row.ietablissement.cnom }} </td>
        </tr>
        {% set iRow = iRow + 1%}
    {% endfor %}
{% endblock %}
